Name:          restlet-jse
Version:       2.3.1
Release:       5%{?dist}
Summary:       Open Source Lightweight REST framework
# All source files are under multiple license
License:       (ASL 2.0 or CDDL or EPL or LGPLv2+ or LGPLv3+)
URL:           http://restlet.org/
# https://github.com/restlet/restlet-framework-java
# Source archive from http://restlet.org/download/ don't contains pom files and some module requested by other projects
# Download not available pom files and source (org.restlet.ext.servlet,org.restlet.ext.xdb) from http://maven.restlet.org/org/restlet/jee
# org.restlet.ext.servlet is required by Apache Solr 4.x

# sh restlet-jse-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}-clean.tar.xz

# Original source archive don't contains parent pom
Source1:       http://maven.restlet.org/org/restlet/jee/org.restlet.parent/%{version}/org.restlet.parent-%{version}.pom

Source2:       %{name}-create-tarball.sh

BuildRequires: maven-local
BuildRequires: mvn(aopalliance:aopalliance)
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.google.inject:guice)
BuildRequires: mvn(com.sun.xml.bind:jaxb-impl)
BuildRequires: mvn(com.thoughtworks.xstream:xstream) >= 1.4.7
BuildRequires: mvn(org.apache.james:james-project:pom:)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-dbcp:commons-dbcp)
BuildRequires: mvn(commons-fileupload:commons-fileupload)
BuildRequires: mvn(commons-pool:commons-pool)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.apache.httpcomponents:httpmime)
BuildRequires: mvn(org.apache.james:apache-mime4j-core)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.codehaus.woodstox:stax2-api)
BuildRequires: mvn(org.codehaus.woodstox:woodstox-core-asl)
BuildRequires: mvn(org.codehaus.jettison:jettison)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-csv)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-smile)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-xml)
BuildRequires: mvn(com.fasterxml.jackson.dataformat:jackson-dataformat-yaml)
BuildRequires: mvn(com.fasterxml.jackson.module:jackson-module-jaxb-annotations)
BuildRequires: mvn(com.fasterxml.jackson.module:jackson-module-jsonSchema)
BuildRequires: mvn(org.freemarker:freemarker)
BuildRequires: mvn(org.jibx:jibx-run)
BuildRequires: mvn(org.jsslutils:jsslutils)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.springframework:spring-beans)
BuildRequires: mvn(org.springframework:spring-context)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-expression)
BuildRequires: mvn(org.springframework:spring-web)
BuildRequires: mvn(org.springframework:spring-webmvc)
BuildRequires: mvn(org.thymeleaf:thymeleaf)
BuildRequires: mvn(org.yaml:snakeyaml)

BuildArch:     noarch

# JSON, A GWT port of the client-side
# library is also available.

%description
Restlet is a lightweight, comprehensive, REST framework for the
Java platform. Restlet is suitable for both server and client
Web applications. It supports major Internet transport, data
format, and service description standards like HTTP and HTTPS,
SMTP, XML, Atom, and WADL. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

cp -p %{SOURCE1} pom.xml

# Require org.restlet.lib.com.db4o*
%pom_disable_module org.restlet.example
# Require org.json:json:2.0
%pom_disable_module org.restlet.ext.json
%pom_disable_module org.restlet.ext.jaxrs
%pom_disable_module org.restlet.ext.openid
%pom_disable_module org.restlet.ext.oauth
# Require com.google.gwt:gwt-servlet:2.3.0
%pom_disable_module org.restlet.ext.gwt
# Require lucene-core 4.6.0 org.apache.solr:solr-core,solr-solrj 4.6.0 org.apache.tika:tika-core,tika-parsers 1.4
%pom_disable_module org.restlet.ext.lucene
# Require org.eclipse.emf
%pom_disable_module org.restlet.ext.emf
%pom_disable_module org.restlet.ext.sdc
%pom_disable_module org.restlet.test
# javax.ws.rs:javax.ws.rs-api:2.0, org.raml:raml-parser:0.8.7, com.wordnik:swagger-annotations:1.3.10, org.restlet.jee:org.restlet.lib.swagger-models:jar:1.5.0-SNAPSHOT
%pom_disable_module org.restlet.ext.apispark
%pom_disable_module org.restlet.ext.swagger
# org.raml:raml-parser:0.8.7, org.restlet.jee:org.restlet.ext.apispark:2.3.1
%pom_disable_module org.restlet.ext.raml
# org.restlet.jee:org.restlet.lib.org.eclipse.e4.core.contexts:0.12.RC1, org.restlet.jee:org.restlet.lib.org.eclipse.e4.core.di:0.12.RC1:
%pom_disable_module org.restlet.ext.e4
%pom_disable_module org.restlet.ext.rome

# Fix cglib aId
%pom_change_dep cglib: :cglib org.restlet.ext.spring

for p in org.restlet; do
%pom_add_plugin org.apache.maven.plugins:maven-compiler-plugin:3.0 ${p} '
<configuration>
 <source>1.7</source>
 <target>1.7</target>
 <encoding>UTF-8</encoding>
</configuration>'
done

sed -i 's/\r//' changes.txt readme.txt

%build

%mvn_build

%install
%mvn_install

# TODO ./bin/linux/restlet.sh

%files -f .mfiles
%doc changes.txt readme.txt
%license copyright.txt license.txt trademarks.txt

%files javadoc -f .mfiles-javadoc
%license copyright.txt license.txt trademarks.txt

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Apr 11 2016 gil cattaneo <puntogil@libero.it> - 2.3.1-4
- disable org.restlet.ext.rome module

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Mar 08 2015 gil cattaneo <puntogil@libero.it> 2.3.1-1
- update to 2.3.1

* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 2.1.4-5
- introduce license macro

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.1.4-3
- Use Requires: java-headless rebuild (#1067528)

* Wed Dec 04 2013 gil cattaneo <puntogil@libero.it> 2.1.4-2
- fix license field

* Sun Oct 27 2013 gil cattaneo <puntogil@libero.it> 2.1.4-1
- update to 2.1.4

* Wed Aug 28 2013 gil cattaneo <puntogil@libero.it> 2.1.3-1
- initial rpm
